program phaml_master
use phaml
implicit none
type(phaml_solution_type) :: soln
call phaml_create(soln)
call phaml_solve_pde(soln,                   &
                     max_vert=500,           &
                     mg_cycles=5,            &
                     print_grid_when=FREQUENTLY, &
                     print_grid_who=MASTER  ,&
                     print_linsys_when=FREQUENTLY, &
                     print_linsys_who=MASTER, &
                     print_solver_who=MASTER, &
                     print_solver_when=PHASES, &
                     print_error_when=FREQUENTLY    , &
                     print_Linf_norm_error=.true., &
                     print_Linf_norm_errest=.true., &
                     print_L2_norm_error=.true., print_L2_norm_errest=.true., &
                     print_error_who=MASTER)
call phaml_destroy(soln)
end program phaml_master
